import { Badge, Tag } from "antd"
import React from "react"

/**
 * 任务分类枚举
 */
export enum TaskTypeEnum {
    TASK_TYPE_GAME = '游戏',
    TASK_TYPE_NOVEL = '小说',
    TASK_TYPE_SHORT_PLAY = '短剧'
}

export const TaskTypeEle: any = {
    TASK_TYPE_GAME: <Tag color="success">游戏</Tag>,
    TASK_TYPE_NOVEL: <Tag color="processing">小说</Tag>,
    TASK_TYPE_SHORT_PLAY: <Tag color="error">短剧</Tag>
}

/**
 * 紧急度
 */
export const UrgencyEnum = {
    '0': '普通',
    '1': '置顶'
}


/**
 * 任务状态
 */
export enum StatusEnum {
    STATUS_NORMAL = '正常',
    STATUS_EXPIRE = '失效'
}
export const TaskStatusEle: any = {
    STATUS_NORMAL: <Badge status="success" text="正常" />,
    STATUS_EXPIRE: <Badge status="error" text="失效" />
}

/**
 * 素材类型枚举
 */
export enum MaterialTypeEnum {
    // MATERIAL_TYPE_SINGLE_PICTURE = '单图',
    // MATERIAL_TYPE_GROUP_PICTURE = '组图',
    // MATERIAL_TYPE_VOICE = '音频',
    MATERIAL_TYPE_VIDEO = '视频',
}

export const MaterialTypeEle: any = {
    MATERIAL_TYPE_SINGLE_PICTURE: <Tag color="#55acee">单图</Tag>,
    MATERIAL_TYPE_GROUP_PICTURE: <Tag color="#3b5999">组图</Tag>,
    MATERIAL_TYPE_VOICE: <Tag color="#cd201f">音频</Tag>,
    MATERIAL_TYPE_VIDEO: <Tag color="#55acee">视频</Tag>,
}


/**
 * 素材来源要求枚举
 */
export enum MaterialSourceEnum {
    MATERIAL_SOURCE_ORIGINAL = '原创'
}

/**
 * 素材比例枚举
 */
export enum RatioEnum {
    ONE_ONE = '1:1',
    FOUR_THREE = '4:3',
    SIXTEEN_NINE = '16:9',
    NINE_SIXTEEN = '9:16',
}

/**
 * 结算类型
 */
export enum CheckoutTypeEnum {
    CHECKOUT_TYPE_SCALE = '消耗比例',
    CHECKOUT_TYPE_AMOUNT = '任务'
}